Bug 1569756 - gnome-terminal crash with: (gnome-terminal-server) crashed in wl_proxy_marshal()
Summary: gnome-terminal crash with: (gnome-terminal-server) crashed in wl_proxy_marshal()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 00:12 UTC by Satish Balay
Modified: 2018-05-15 21:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-24 11:24:28 UTC
Type: Bug


Attachments (Terms of Use)

Description Satish Balay 2018-04-20 00:12:56 UTC
Description of problem:

GnomeTerminal crashes

Version-Release number of selected component (if applicable):

gnome-terminal-3.28.1-1.fc28.x86_64
libwayland-client-1.15.0-1.fc28.x86_64

How reproducible:

Occurred 3 times since gnome-terminal was updated (along with a bunch of other updates) about 30hours back

And I think it occurred when I suspend & move laptop from home to work and vice versa.

Steps to Reproduce:
1. suspend [at home]
2. go to work
3. open laptop

Actual results:

All gnome-terminals crash

Expected results:

No crash

Additional info:

ABRT says 'reporting disabled because the backtrace is unuseable

journalctl has the following entries.

Apr 19 18:35:47 asterix audit[11914]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=11914 comm="gnome-terminal-">
Apr 19 18:35:47 asterix kernel: gnome-terminal-[11914]: segfault at 0 ip 00007f07ffc120fb sp 00007ffe5f6e44e0 error 4 in libwayland-client.so.0.3.0[7f07ffc0c000+d000]
Apr 19 18:35:47 asterix systemd[1]: Started Process Core Dump (PID 3055/UID 0).
Apr 19 18:35:47 asterix audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@8-3055-0 comm="systemd">
Apr 19 18:35:47 asterix systemd[1585]: gnome-terminal-server.service: Main process exited, code=dumped, status=11/SEGV
Apr 19 18:35:47 asterix systemd[1585]: gnome-terminal-server.service: Failed with result 'core-dump'.
<snip>
Apr 19 18:35:47 asterix systemd-coredump[3056]: Process 11914 (gnome-terminal-) of user 1000 dumped core.
                                                
                                                Stack trace of thread 11914:
                                                #0  0x00007f07ffc120fb wl_proxy_marshal (libwayland-client.so.0)
                                                #1  0x00007f08052e1be7 released_cb (libgtk-3.so.0)
                                                #2  0x00007f07fcc5d03e ffi_call_unix64 (libffi.so.6)
                                                #3  0x00007f07fcc5c9ff ffi_call (libffi.so.6)
                                                #4  0x00007f080343aaa6 g_cclosure_marshal_generic_va (libgobject-2.0.so.0)
                                                #5  0x00007f0803439d36 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                #6  0x00007f0803456031 g_signal_emit_valist (libgobject-2.0.so.0)
                                                #7  0x00007f08034565d3 g_signal_emit (libgobject-2.0.so.0)
                                                #8  0x00007f08050f937a gtk_gesture_multi_press_end (libgtk-3.so.0)
                                                #9  0x00007f080343ceae g_cclosure_marshal_VOID__BOXEDv (libgobject-2.0.so.0)
                                                #10 0x00007f0803439d36 _g_closure_invoke_va (libgobject-2.0.so.0)
                                                #11 0x00007f0803456031 g_signal_emit_valist (libgobject-2.0.so.0)
                                                #12 0x00007f08034565d3 g_signal_emit (libgobject-2.0.so.0)
                                                #13 0x00007f08050f64e2 _gtk_gesture_check_recognized (libgtk-3.so.0)
                                                #14 0x00007f08050f7b3b gtk_gesture_handle_event (libgtk-3.so.0)
                                                #15 0x00007f08050fa96e gtk_gesture_single_handle_event (libgtk-3.so.0)
                                                #16 0x00007f08050c7045 gtk_event_controller_handle_event (libgtk-3.so.0)
                                                #17 0x00007f080528f25b _gtk_widget_run_controllers (libgtk-3.so.0)
                                                #18 0x00007f080529379b _gtk_widget_captured_event (libgtk-3.so.0)
                                                #19 0x00007f08051407cb propagate_event (libgtk-3.so.0)
                                                #20 0x00007f08051427d7 gtk_main_do_event (libgtk-3.so.0)
                                                #21 0x00007f0804c4c879 _gdk_event_emit (libgdk-3.so.0)
                                                #22 0x00007f0804ca8d36 gdk_event_source_dispatch (libgdk-3.so.0)
                                                #23 0x00007f080315f7cd g_main_context_dispatch (libglib-2.0.so.0)
                                                #24 0x00007f080315fb98 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                #25 0x00007f080315fc30 g_main_context_iteration (libglib-2.0.so.0)
                                                #26 0x00007f0803722615 g_application_run (libgio-2.0.so.0)
                                                #27 0x000055f4edddb9b0 main (gnome-terminal-server)
                                                #28 0x00007f08021781bb __libc_start_main (libc.so.6)
                                                #29 0x000055f4edddbb2a _start (gnome-terminal-server)
                                                
                                                Stack trace of thread 11916:
                                                #0  0x00007f0802244929 __poll (libc.so.6)
                                                #1  0x00007f080315fb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                #2  0x00007f080315fc30 g_main_context_iteration (libglib-2.0.so.0)
                                                #3  0x00007f080315fc81 glib_worker_main (libglib-2.0.so.0)
                                                #4  0x00007f0803187cea g_thread_proxy (libglib-2.0.so.0)
                                                #5  0x00007f080251b564 start_thread (libpthread.so.0)
                                                #6  0x00007f080224f31f __clone (libc.so.6)
                                                
                                                Stack trace of thread 11915:
                                                #0  0x00007f0802244929 __poll (libc.so.6)
                                                #1  0x00007f080315fb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                #2  0x00007f080315fc30 g_main_context_iteration (libglib-2.0.so.0)
                                                #3  0x00007f07ed75de4d dconf_gdbus_worker_thread (libdconfsettings.so)
                                                #4  0x00007f0803187cea g_thread_proxy (libglib-2.0.so.0)
                                                #5  0x00007f080251b564 start_thread (libpthread.so.0)
                                                #6  0x00007f080224f31f __clone (libc.so.6)
                                                
                                                Stack trace of thread 11917:
                                                #0  0x00007f0802244929 __poll (libc.so.6)
                                                #1  0x00007f080315fb06 g_main_context_iterate.isra.21 (libglib-2.0.so.0)
                                                #2  0x00007f080315fec2 g_main_loop_run (libglib-2.0.so.0)
                                                #3  0x00007f080374f60a gdbus_shared_thread_func (libgio-2.0.so.0)
                                                #4  0x00007f0803187cea g_thread_proxy (libglib-2.0.so.0)
                                                #5  0x00007f080251b564 start_thread (libpthread.so.0)
                                                #6  0x00007f080224f31f __clone (libc.so.6)

Comment 1 Satish Balay 2018-04-20 00:35:59 UTC
I use an external monitor with a dock [at work] - so perhaps switching to and back from it has something to do with triggering this.

Comment 2 Satish Balay 2018-04-20 15:11:39 UTC
Switching between external monitor - and laptop monitor is consistently reproducing this problem.

And the following update appears to fix the issue [with limited testing]

Packages Altered:
    Upgraded gtk3-3.22.29-2.fc28.x86_64 @fedora
    Upgrade       3.22.30-1.fc28.x86_64 @updates-testing

Comment 3 Fedora Update System 2018-04-23 16:31:51 UTC
gtk3-3.22.30-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-dede7ba6ae

Comment 4 Fedora Update System 2018-04-24 11:24:28 UTC
gtk3-3.22.30-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Matt Pelland 2018-05-02 15:20:21 UTC
I'm seeing this issue frequently on a machine that was freshly upgraded to Fedora 28 from Fedora 27. The stack trace looks the same as what was posted in https://bugzilla.redhat.com/show_bug.cgi?id=1569756#c0:

#0  0x00007f498d130f4b in raise () at /lib64/libc.so.6
#1  0x00007f498d11b591 in abort () at /lib64/libc.so.6
#2  0x00007f498abbb2d5 in  ()
#3  0x00007f498abb700d in wl_proxy_marshal_array_constructor_versioned () at /lib64/libwayland-client.so.0
#4  0x00007f498abb7160 in wl_proxy_marshal () at /lib64/libwayland-client.so.0
#5  0x00007f498fc439a3 in gdk_wayland_device_update_window_cursor () at /lib64/libgdk-3.so.0
#6  0x00007f4987c0203e in ffi_call_unix64 () at /lib64/libffi.so.6
#7  0x00007f4987c019ff in ffi_call () at /lib64/libffi.so.6
#8  0x00007f498abba2dd in wl_closure_invoke () at /lib64/libwayland-client.so.0
#9  0x00007f498abb6a39 in dispatch_event.isra () at /lib64/libwayland-client.so.0
#10 0x00007f498abb7f5c in wl_display_dispatch_queue_pending () at /lib64/libwayland-client.so.0
#11 0x00007f498fc4eda8 in _gdk_wayland_display_queue_events () at /lib64/libgdk-3.so.0
#12 0x00007f498fbed8c4 in gdk_display_get_event () at /lib64/libgdk-3.so.0
#13 0x00007f498fc4eab6 in gdk_event_source_dispatch () at /lib64/libgdk-3.so.0
#14 0x00007f498e1047cd in g_main_context_dispatch () at /lib64/libglib-2.0.so.0
#15 0x00007f498e104b98 in g_main_context_iterate.isra () at /lib64/libglib-2.0.so.0
#16 0x00007f498e104c30 in g_main_context_iteration () at /lib64/libglib-2.0.so.0
#17 0x00007f498e6c7615 in g_application_run () at /lib64/libgio-2.0.so.0
#18 0x000055ea4cca39b0 in main ()

Some information from my system:

gnome-terminal-3.28.1-1.fc28
gtk3-3.22.30-1.fc28
libwayland-client-1.15.0-1.fc28

I can attach a coredump if that would be helpful.

Comment 6 Kofi 2018-05-15 21:57:41 UTC
Hi,

I am also seeing this bug multiple times in a day, starting as soon as I updated to Fedora 28 from 27.

Stack trace:
#0  0x00007f2fd8ba5f4b in raise () from /lib64/libc.so.6
#1  0x00007f2fd8b90591 in abort () from /lib64/libc.so.6
#2  0x00007f2fd66302d5 in wl_abort ()
#3  0x00007f2fd662c00d in wl_proxy_marshal_array_constructor_versioned () from /lib64/libwayland-client.so.0
#4  0x00007f2fd662c160 in wl_proxy_marshal () from /lib64/libwayland-client.so.0
#5  0x00007f2fdb6b89a3 in gdk_wayland_device_update_window_cursor () from /lib64/libgdk-3.so.0
#6  0x00007f2fd367603e in ffi_call_unix64 () from /lib64/libffi.so.6
#7  0x00007f2fd36759ff in ffi_call () from /lib64/libffi.so.6
#8  0x00007f2fd662f2dd in wl_closure_invoke () from /lib64/libwayland-client.so.0
#9  0x00007f2fd662ba39 in dispatch_event.isra () from /lib64/libwayland-client.so.0
#10 0x00007f2fd662cf5c in wl_display_dispatch_queue_pending () from /lib64/libwayland-client.so.0
#11 0x00007f2fdb6c3da8 in _gdk_wayland_display_queue_events () from /lib64/libgdk-3.so.0
#12 0x00007f2fdb6628c4 in gdk_display_get_event () from /lib64/libgdk-3.so.0
#13 0x00007f2fdb6c3ab6 in gdk_event_source_dispatch () from /lib64/libgdk-3.so.0
#14 0x00007f2fd9b797cd in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#15 0x00007f2fd9b79b98 in g_main_context_iterate.isra () from /lib64/libglib-2.0.so.0
#16 0x00007f2fd9b79c30 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#17 0x00007f2fda13c615 in g_application_run () from /lib64/libgio-2.0.so.0
#18 0x00005611afba99b0 in main ()

System info:
gnome-terminal-3.28.1-1.fc28.x86_64
gtk3-3.22.30-1.fc28.x86_64
libwayland-client-1.15.0-1.fc28.x86_64


Note You need to log in before you can comment on or make changes to this bug.